Bug 245729 - [fix available] OOo crash when tries to open a SDD file with embedded writer tables
[fix available] OOo crash when tries to open a SDD file with embedded writer ...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2007-06-26 07:14 EDT by Marek Mahut
Modified: 2008-05-21 13:24 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0463
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 13:24:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
crash report (10.87 KB, text/plain)
2007-06-26 07:15 EDT, Marek Mahut
no flags Details
resaved in patched version (1.53 MB, application/vnd.oasis.opendocument.presentation)
2007-06-26 12:30 EDT, Caolan McNamara
no flags Details
patch to avoid crash (1.12 KB, patch)
2007-06-26 12:31 EDT, Caolan McNamara
no flags Details | Diff
reproducible slide (2.25 MB, application/octet-stream)
2007-06-27 05:10 EDT, Caolan McNamara
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 78921 None None None Never
OpenOffice.org 82966 None None None Never

  None (edit)
Description Marek Mahut 2007-06-26 07:14:17 EDT
Description of problem:

OpenOffice crash with report when I'm trying to open Microsoft Office Document file.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. open JBossBusValueCustPreso.sdd file
Actual results:

OOo crash

Expected results:

OOo opens this file and Frauke Bonds from Sales team can continue his work.

Additional info:

Internal RT ticket #396822
Comment 1 Marek Mahut 2007-06-26 07:15:09 EDT
Created attachment 157881 [details]
crash report
Comment 4 Caolan McNamara 2007-06-26 12:31:06 EDT
Created attachment 157911 [details]
patch to avoid crash
Comment 5 Caolan McNamara 2007-06-26 12:34:47 EDT
There's more to this, but that'll get us started.
Comment 6 Caolan McNamara 2007-06-27 05:10:50 EDT
Created attachment 157985 [details]
reproducible slide

this slide should be sufficient to reproduce
Comment 7 Fedora Update System 2007-07-30 12:58:25 EDT
openoffice.org-2.2.1-18.1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 8 RHEL Product and Program Management 2007-10-15 23:56:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 10 Caolan McNamara 2007-11-20 08:06:04 EST
Should be ok in 2.3.0 by virtue of rebase
Comment 13 Ben Levenson 2008-04-17 23:01:36 EDT
moving to VERIFIED
Comment 15 errata-xmlrpc 2008-05-21 13:24:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.